libstdc++: __gnu_parallel::__unary_negate< _Predicate, argument_type > Class Template Reference

libstdc++

__gnu_parallel::__unary_negate< _Predicate, argument_type > Class Template Reference

`#include <base.h>`

Inheritance diagram for __gnu_parallel::__unary_negate< _Predicate, argument_type >:
[legend]

## Public Types
typedef argument_type | argument_type
typedef bool | result_type

## Public Member Functions
| __unary_negate (const _Predicate &__x)
bool | operator() (const argument_type &__x)

## Protected Attributes
_Predicate | _M_pred

## Detailed Description

template<typename _Predicate, typename argument_type>
class __gnu_parallel::__unary_negate< _Predicate, argument_type >

Similar to std::unary_negate, but giving the argument types explicitly.

Definition at line 175 of file base.h.

## Member Typedef Documentation

## ◆ argument_type

typedef argument_type std::unary_function< argument_type, bool >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

typedef bool std::unary_function< argument_type, bool >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ __unary_negate()

template<typename _Predicate, typename argument_type>

__gnu_parallel::__unary_negate< _Predicate, argument_type >::__unary_negate | ( | const _Predicate & | __x | ) |
| inlineexplicit

Definition at line 183 of file base.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Predicate, typename argument_type>

bool __gnu_parallel::__unary_negate< _Predicate, argument_type >::operator() | ( | const argument_type & | __x | ) |
| inline

Definition at line 186 of file base.h.

## Member Data Documentation

## ◆ _M_pred

template<typename _Predicate, typename argument_type>

_Predicate __gnu_parallel::__unary_negate< _Predicate, argument_type >::_M_pred
| protected

Definition at line 179 of file base.h.

The documentation for this class was generated from the following file:

- base.h